GrailsDomainClass (Grails 6.0.0)

Package: grails.core

## [Java] Interface GrailsDomainClass

- grails.core.support.GrailsApplicationAware

- All Superinterfaces:
    GrailsClass, GrailsApplicationAware

      @java.lang.Deprecated
      public interface GrailsDomainClass
      extends GrailsClass

  Represents a persistable Grails domain class.

  deprecated:
    Use org.grails.datastore.mapping.model.PersistentEntity instead
  Authors:
    Graeme Rocher
  Since:
    Jul 5, 2005

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `GORM` | The name of the default ORM implementation used to map the class
    `java.lang.String` | `ORM_MAPPING` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Map` | `getConstrainedProperties()` Returns a map of constraints applied to this domain class with the keys being the property name and the values being ConstrainedProperty instances
    `` | `public java.lang.String` | `getPropertyName()`
    `` | `public org.springframework.validation.Validator` | `getValidator()` Retreives the validator for this domain class
    `` | `public boolean` | `isAutowire()` Returns: Whether to autowire
    `` | `public boolean` | `isOwningClass(java.lang.Class domainClass)` Parameters: domainClass
    `` | `public void` | `setValidator(org.springframework.validation.Validator validator)` Sets the validator for this domain class

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Field Detail

    - #### java.lang.String GORM

      The name of the default ORM implementation used to map the class

    - #### java.lang.String ORM_MAPPING

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getConstrainedProperties()

      Returns a map of constraints applied to this domain class with the keys being the property name and the values being ConstrainedProperty instances

      Returns:
        A map of constraints

    - #### public java.lang.String getPropertyName()

      Returns the default property name of the GrailsClass. For example the property name for a class called "User" would be "user"

      Returns:
        The property name representation of the class name

    - #### public org.springframework.validation.Validator getValidator()

      Retreives the validator for this domain class

      Returns:
        A validator instance or null if none exists

    - #### public boolean isAutowire()

      Returns:
        Whether to autowire

    - #### @java.lang.SuppressWarnings("rawtypes") public boolean isOwningClass(java.lang.Class domainClass)

      Parameters:
        domainClass
      Returns:
        true if the specifying domain class is on the owning side of a relationship

    - #### public void setValidator(org.springframework.validation.Validator validator)

      Sets the validator for this domain class

      Parameters:
        `validator` - The domain class validator to set